import React from 'react';
import { FormControl, FormControlDefaultProps, FormControlProps } from './FormControl';
export declare type FormGroupProps = FormControlProps & {
    ariaDescId?: string;
    groupClassName?: string;
    help?: string;
    noOffset?: boolean;
    controlId?: string;
} & Partial<FormGroupDefaultProps> & React.HTMLProps<{}>;
export declare type FormGroupDefaultProps = FormControlDefaultProps & {
    ariaDescId: null;
};
declare type AriaDescrProps = {
    'aria-describedby'?: string;
};
export declare class FormGroup<P extends FormGroupProps> extends FormControl<P> {
    static initialAriaDescId: number;
    static propTypes: any;
    static defaultProps: {
        ariaDescId: any;
        hasFormGroupContainer: boolean;
        hasFeedbackBlock: boolean;
        testAutomationId: string;
    };
    ariaDescId: string;
    constructor(props: any, context: any);
    getAriaDescProps(hasError: boolean): AriaDescrProps;
    getValue(): string;
    getInputDOMNode(): HTMLInputElement;
    controlLabelFallback(): boolean;
    renderLabel(): any;
    render(): JSX.Element;
    filterGroupProps(props: FormGroupProps): any;
    renderInput(...args: any[]): React.ReactNode;
}
export {};
